X2Go Bug report logs - #214
Add maximun available desktop area to session resolutions combo box

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>

Date: Mon, 20 May 2013 16:33:02 UTC

Severity: wishlist

Tags: patch, pending

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Mon, 20 May 2013 16:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 May 2013 16:33:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
To: submit@bugs.x2go.org
Subject: Add maximun available desktop area to session resolutions combo box
Date: Mon, 20 May 2013 16:18:04 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: wishlist
Tag: patch

I attach a patch to add the maximun available resolution for each monitor
in the session display resolutions combo box.

I think it will be useful for the users.

Regards,

--
<http://www.oceanosoft.com>
[Message part 2 (text/html, inline)]
[0006-add-max-resolution-for-available-desktop-area-in-res.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Mon, 20 May 2013 20:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 May 2013 20:18:02 GMT) (full text, mbox, link).


Message #10 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>, 214@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#214: Add maximun available desktop area to session resolutions combo box
Date: Mon, 20 May 2013 22:10:48 +0200
[Message part 1 (text/plain, inline)]
tag #214 - patch
tag #214 moreinfo
thanks

Hi Ricardo,

On Mo 20 Mai 2013 18:18:04 CEST Ricardo Díaz Martín wrote:

> Package: x2goclient
> Severity: wishlist
> Tag: patch
>
> I attach a patch to add the maximun available resolution for each monitor
> in the session display resolutions combo box.
>
> I think it will be useful for the users.
>
> Regards,

thanks for this patch. Counter-suggestion: add a radio button to the  
session profile GUI that always sets the maxdim of the currently used  
local desktop.

Check the pyhoca-gui session profile manager for a comparison.

Normally, in the session profile options, you either set width= and  
height=, or you set fullscreen=true, or you set maxdim=true.

If maxdim is set to true, then it has precedence over the width= /  
height= parameters.

Could you rather implement that?

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 May 2013 20:18:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Tue, 21 May 2013 14:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 21 May 2013 14:48:02 GMT) (full text, mbox, link).


Message #17 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 214@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#214: Bug#214: Add maximun available desktop area to session resolutions combo box
Date: Tue, 21 May 2013 15:34:17 +0100
[Message part 1 (text/plain, inline)]
2013/5/20 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> tag #214 - patch
> tag #214 moreinfo
> thanks
>
> Hi Ricardo,
>
> On Mo 20 Mai 2013 18:18:04 CEST Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Severity: wishlist
>> Tag: patch
>>
>> I attach a patch to add the maximun available resolution for each monitor
>> in the session display resolutions combo box.
>>
>> I think it will be useful for the users.
>>
>> Regards,
>>
>
> thanks for this patch. Counter-suggestion: add a radio button to the
> session profile GUI that always sets the maxdim of the currently used local
> desktop.
>
> Check the pyhoca-gui session profile manager for a comparison.
>



I'll take a look to pyhoca-gui session profile!



>
> Normally, in the session profile options, you either set width= and
> height=, or you set fullscreen=true, or you set maxdim=true.
>
> If maxdim is set to true, then it has precedence over the width= / height=
> parameters.
>
> Could you rather implement that?
>


Note that maxdim is only available in x2goclient linux version. Looks like
Alex found some problem with this feature in windows/mac/maemo. I was
working some weeks ago to do it and I show lots of #ifdef sentences to
avoid this feature in no linux enviroments. So I decided to implement this
"uggly" feature and sent the patch. I can do the work but I'd have to
change a lot of Alex code. Maybe I have to write to Alex to know if he
found problem with "use max available area". What do you think about?



>
> Thanks+Greets,
> Mike
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Tue, 21 May 2013 21:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 21 May 2013 21:03:01 GMT) (full text, mbox, link).


Message #22 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 214@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#214: Bug#214: Add maximun available desktop area to session resolutions combo box
Date: Tue, 21 May 2013 20:49:49 +0000
[Message part 1 (text/plain, inline)]
This new patch add an option box in windows/mac clients (in linux it
isn't necessary because this feature is working in current stable).

If user set "max available area" max height and max width are stored in
session settings.

It was tested in linux and in windows and works as expected.

Anyway I'd like to include patch #0006 too because I think it's useful too.

Cheers,
Ricardo


--
<http://www.oceanosoft.com>


2013/5/20 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> tag #214 - patch
> tag #214 moreinfo
> thanks
>
> Hi Ricardo,
>
> On Mo 20 Mai 2013 18:18:04 CEST Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Severity: wishlist
>> Tag: patch
>>
>> I attach a patch to add the maximun available resolution for each monitor
>> in the session display resolutions combo box.
>>
>> I think it will be useful for the users.
>>
>> Regards,
>>
>
> thanks for this patch. Counter-suggestion: add a radio button to the
> session profile GUI that always sets the maxdim of the currently used local
> desktop.
>
> Check the pyhoca-gui session profile manager for a comparison.
>
> Normally, in the session profile options, you either set width= and
> height=, or you set fullscreen=true, or you set maxdim=true.
>
> If maxdim is set to true, then it has precedence over the width= / height=
> parameters.
>
> Could you rather implement that?
>
> Thanks+Greets,
> Mike
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>
[Message part 2 (text/html, inline)]
[0007-add-max-resolution-option-box-in-settings-for-win-an.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Fri, 07 Jun 2013 21:44:22 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 21:44:22 GMT) (full text, mbox, link).


Message #27 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
Cc: 214@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#214: Add maximun available desktop area to session resolutions combo box
Date: Fri, 07 Jun 2013 23:43:20 +0200
[Message part 1 (text/plain, inline)]
tag #214 - moreinfo
tag #214 patch
thanks

Hi Ricardo,

On Di 21 Mai 2013 22:49:49 CEST Ricardo Díaz Martín wrote:

> This new patch add an option box in windows/mac clients (in linux it
> isn't necessary because this feature is working in current stable).
>
> If user set "max available area" max height and max width are stored in
> session settings.
>
> It was tested in linux and in windows and works as expected.
>
> Anyway I'd like to include patch #0006 too because I think it's useful too.

This one nearly slipped through because the patch tag was not set  
again when sending in a new patch.

I am currently test-building X2Go Client on Linux with your patch  
applied and I will probably push it to X2Go Git in a minute or so.

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:44:23 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:44:23 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Fri, 07 Jun 2013 21:52:49 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 21:52:49 GMT) (full text, mbox, link).


Message #36 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 214-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 214@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 7 Jun 2013 23:52:21 +0200 (CEST)
tag #214 pending
fixed #214 4.0.1.1
thanks

Hello,

X2Go issue #214 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=512b85b

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 512b85b24ca11d37c422d009fb3190c35d30d03e
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 7 23:52:16 2013 +0200

    Allow for setting maximum available desktop size as window size via the session profile card. Unfortunately, this feature is for now only available on Linux. (Fixes: #214).

diff --git a/debian/changelog b/debian/changelog
index 9f1e098..84daa74 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -31,6 +31,9 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
+    - Allow for setting maximum available desktop size as window size via the
+      session profile card. Unfortunately, this feature is for now only available
+      on Linux. (Fixes: #214).
 
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:52:49 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:52:49 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
Bug#214. (Fri, 07 Jun 2013 21:52:50 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#214; Package x2goclient. (Wed, 11 Sep 2013 10:18:06 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:06 GMT) (full text, mbox, link).


Message #48 received at 214@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 214-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 214@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:08 +0200 (CEST)
close #214
thanks

Hello,

we are very hopeful that X2Go issue #214 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:12 GMT) (full text, mbox, link).


Notification sent to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:12 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
Bug#214. (Wed, 11 Sep 2013 10:18:18 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Aug 20 20:51:22 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.